Summary: Free versions of the 35 standard PostScript fonts.
Name: urw-fonts
Version: 2.0
Release: 3mdk
Source0: ftp://ftp.cs.wisc.edu/ghost/gnu/fonts/gnu-gs-fonts-std-6.0.tar.bz2
Patch0: urw-fonts-misc.patch.bz2
Patch1: urw-fonts-monospaced.patch.bz2
License: GPL, URW holds copyright
Group: System/Fonts/Type1
URL: ftp://ftp.cs.wisc.edu/ghost/gnu/fonts/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
BuildRequires: XFree86
Prereq: chkfontpath

%description 
Free, good quality versions of the 35 standard PostScript(TM) fonts,
donated under the GPL by URW++ Design and Development GmbH.  The
fonts.dir file font names match the original Adobe names of the fonts
(e.g., Times, Helvetica, etc.).

Install the urw-fonts package if you need free versions of standard
PostScript fonts.

%prep
%setup -q -c
%patch0 -p0 -b .misc
%patch1 -p1 -b .monospaced

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1
cd fonts
/usr/X11R6/bin/xftcache . || touch XftCache
cp -f *.afm *.pfm *.pfb $RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1
install -m 644 fonts.scale $RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/
install -m 644 fonts.alias $RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/
install -m 644 XftCache $RPM_BUILD_ROOT%{_datadir}/fonts/default/Type1/

{
    pushd $RPM_BUILD_ROOT/usr/share/fonts/default/Type1
    mkfontdir .
    popd
}

%post
%{_sbindir}/chkfontpath -q -a %{_datadir}/fonts/default/Type1

%postun
if [ "$1" = "0" ]; then
	%{_sbindir}/chkfontpath -q -r %{_datadir}/fonts/default/Type1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%dir %{_datadir}/fonts/default/Type1
%config(noreplace) %{_datadir}/fonts/default/Type1/fonts.dir
%config(noreplace) %{_datadir}/fonts/default/Type1/fonts.scale
%config(noreplace) %{_datadir}/fonts/default/Type1/fonts.alias
%config(noreplace) %{_datadir}/fonts/default/Type1/XftCache
%{_datadir}/fonts/default/Type1/*.afm
%{_datadir}/fonts/default/Type1/*.pfb
%{_datadir}/fonts/default/Type1/*.pfm

%changelog
* Fri Jun 08 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-3mdk
- added XftCache support

* Thu Apr  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-2mdk
- Don't provide Fontmap, it breaks ghostscript

* Wed Apr  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-1mdk
- Resync with Redhat (2.0-11)

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-11mdk
- BM + macroszification
- rename file to rename version number

* Thu Mar 23 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1-10mdk
- fix group 

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release.


* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- fixed up chkfontpath stuff

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- added missing fonts.dir, fonts.scale, %post, %postun using chkfontpath
- changed foundary from Adobe (which was a lie) to URW.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- fonts now live in /usr/share/fonts/default/Type1

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- eliminated section that adds to XF86Config
- changed fonts to reside in /usr/share/fonts/default/URW, so they can be
  shared between X and Ghostscript (and other, future programs/applications)

* Fri Sep 11 1998 Preston Brown <pbrown@redhat.com>
- integrate adding fontdir to XF86Config

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- eliminate %post output

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- create from Stefan Waldherr <swa@cs.cmu.edu> contrib package.
